How to fully revert/downgrade atom version x.xxx.x


#1

This a feature that some IDE like Eclipse already use.

So how do I fully revert/downgrade Atom version to x.xxx.x ?


#2

There’s no real way to do it other than uninstalling and downloading the version you want from the releases page on GitHub. But if you do this, Atom will still try and update itself (depending on platform) because it really likes being up to date. Can you explain why you need to use an older version?


#3

Sorry for the late reply, actually I just want to go back to version 0.186.0, due to the last version of atom caused the auto-complete+ plugin to not work correctly anymore. So far, I just get random suggestion with a dialog box that isn’t even under my cursor(same with the default autocomplete plugin in atom core).

Also, in the “AppData\Local\atom” folder, it seem atom delete my old version of atom without my agreement every 2 “minor” version?

I reinstalled 0.186.0 from github but at this point, but I already updated to the latest version of auto-complete-plus which isn’t working on any version now… and it seem that I can’t install specific a plugin version, according to the --help menu from apm… and I known --compatible won’t work since I have the latest version of atom on the PATH.

Really, it’s starting to get really messy with all these update…